Missing logrotate configuration for vpn_agent and metering_agent

Bug #1463844 reported by Jorge Niedbalski on 2015-06-10
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron (Ubuntu)
Medium
Jorge Niedbalski
Trusty
Undecided
Jorge Niedbalski
Utopic
Undecided
Jorge Niedbalski

Bug Description

[Environment]

Trusty 14.04.2
Neutron 2014.1.4

[Description]

The logrotate configuration that comes with the neutron package, has a separated
logrotate configurationfor each services, but doesn't includes some of them such
as vpn_agent and metering_agent.

A common logrotate file such as the one used on vivid, should be backported.

[Impact]

 * Some agents such as vpn_agent and metering doesn't have
default logrotation configured, this can lead to systems with full disks
due to the lack of default rotation.

[Test Case]

 * Install the current neutron-server package and neutron-plugin-vpn-agent.
 * There is no configuration for vpn-agent on /etc/logrotate.d/
 * Install the package with this change applied, you will find a /etc/logrotate.d/neutron-common file with the following declaration:

more /etc/logrotate.d/neutron-common
/var/log/neutron/*.log {
    daily
    missingok
    compress
    delaycompress
    notifempty
    copytruncate
}

[Regression Potential]

 * If anybody relies on special configuration for logrotation logs
in current locations then will have to migrate this to neutron-common.

Related branches

Changed in neutron (Ubuntu):
importance: Undecided → High
status: New → In Progress
assignee: nobody → Jorge Niedbalski (niedbalski)
summary: - Missing logrotate configuratoin for vpn_agent and metering_agent
+ Missing logrotate configuration for vpn_agent and metering_agent
Changed in neutron (Ubuntu):
importance: High → Medium
Changed in neutron (Ubuntu Trusty):
assignee: nobody → Jorge Niedbalski (niedbalski)
Changed in neutron (Ubuntu Utopic):
assignee: nobody → Jorge Niedbalski (niedbalski)
Changed in neutron (Ubuntu Trusty):
status: New → In Progress
Changed in neutron (Ubuntu Utopic):
status: New → In Progress
Jorge Niedbalski (niedbalski) wrote :
description: updated
Jorge Niedbalski (niedbalski) wrote :
Changed in neutron (Ubuntu):
status: In Progress → Fix Released
Chris J Arges (arges) wrote :

Sponsored for T/U

Hello Jorge, or anyone else affected,

Accepted neutron into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/1:2014.2.3-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Utopic):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

For Trusty this was part of another upload.

+neutron (1:2014.1.5-0ubuntu1) trusty; urgency=medium
+
+ * Resynchronize with stable/icehouse (877df58) (LP: #1467533):
+ - [cae7108] Fix enable_snat column migration for Postgres + SQLite
+ - [61571b4] Persist DHCP leases to a local database
+ - [fba8d9b] Process port IP requests before subnet requests
+ - [43fe809] Don't resync on DHCP agent setup failure
+ - [91cc867] Deal with PEP-0476 certificate chaining checking
+ - [877df58] Ignore http_proxy while connecting to test WSGI server
+
+ -- Corey Bryant <> Mon, 22 Jun 2015 10:14:52 -0400
+
+neutron (1:2014.1.4-0ubuntu3) trusty; urgency=medium
+
+ * d/*.logrotate,neutron-common.logrotate: Backport from vivid,
+ Move to single logrotate configuration. (LP: #1463844).
+
+ -- Jorge Niedbalski <> Wed, 10 Jun 2015 11:09:20 -0300

Changed in neutron (Ubuntu Trusty):
status: In Progress → Fix Committed
Jorge Niedbalski (niedbalski) wrote :

Hello,

I just verified that this works on Trusty/Icehouse as expected, all the rotation is working
including the vpn and metering agents.

Thanks.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.1.5-0ubuntu1

---------------
neutron (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (877df58) (LP: #1467533):
    - [cae7108] Fix enable_snat column migration for Postgres + SQLite
    - [61571b4] Persist DHCP leases to a local database
    - [fba8d9b] Process port IP requests before subnet requests
    - [43fe809] Don't resync on DHCP agent setup failure
    - [91cc867] Deal with PEP-0476 certificate chaining checking
    - [877df58] Ignore http_proxy while connecting to test WSGI server

 -- Corey Bryant <email address hidden> Mon, 22 Jun 2015 10:14:52 -0400

Changed in neutron (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.2.3-0ubuntu2

---------------
neutron (1:2014.2.3-0ubuntu2) utopic; urgency=medium

  * d/*.logrotate,neutron-common.logrotate: Backport from vivid,
    Move to single logrotate configuration. (LP: #1463844).

 -- Jorge Niedbalski <email address hidden> Wed, 10 Jun 2015 10:29:50 -0500

Changed in neutron (Ubuntu Utopic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for neutron has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers